For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
        • POSTCreate Project
        • POSTUpdate Project Name
        • GETGet Project
LogoLogo
Contact usDashboard
APIAdminProjects

Get Project

GET
https://api.syndicate.io/admin/project/:projectId
GET
/admin/project/:projectId
$curl https://api.syndicate.io/admin/project/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>"
1{
2 "allowlistIpRanges": [
3 {
4 "ipRange": "ipRange",
5 "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
6 },
7 {
8 "ipRange": "ipRange",
9 "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
10 }
11 ],
12 "contracts": [
13 {
14 "address": "address",
15 "chainId": 1,
16 "functionSignatures": [
17 {
18 "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
19 "hashedSignature": "hashedSignature",
20 "payable": true,
21 "signature": "signature",
22 "functionAbi": {
23 "key": "value"
24 }
25 },
26 {
27 "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
28 "hashedSignature": "hashedSignature",
29 "payable": true,
30 "signature": "signature",
31 "functionAbi": {
32 "key": "value"
33 }
34 }
35 ],
36 "name": "name",
37 "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
38 "claimedByOrganizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
39 "expiresAt": "2024-01-15T09:30:00Z"
40 },
41 {
42 "address": "address",
43 "chainId": 1,
44 "functionSignatures": [
45 {
46 "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
47 "hashedSignature": "hashedSignature",
48 "payable": true,
49 "signature": "signature",
50 "functionAbi": {
51 "key": "value"
52 }
53 },
54 {
55 "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
56 "hashedSignature": "hashedSignature",
57 "payable": true,
58 "signature": "signature",
59 "functionAbi": {
60 "key": "value"
61 }
62 }
63 ],
64 "name": "name",
65 "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
66 "claimedByOrganizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
67 "expiresAt": "2024-01-15T09:30:00Z"
68 }
69 ],
70 "environment": "staging",
71 "name": "name",
72 "organizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
73}
Get a specific project
Was this page helpful?
Previous

Authorize Contract With Function Signatures

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdUUIDRequired

Response

This endpoint returns an object.
allowlistIpRangeslist of objects
contractslist of objects
createdAtdatetime
environmentenum
Allowed values:
idstring
namestring
organizationIdUUID
updatedAtdatetime

Errors

401
Status Unauthorized